<div class="content" id="index-form">
    
    <form class="form-signin" id="login-form">
      <h1 class="h3 mb-3 font-weight-normal">Please sign in</h1>
      <div hidden id="error-msg" class="text-danger">Invalid Information!</div>
      <label for="inputUsername" class="sr-only">Username</label>
      <input
        type="text"
        id="inputUsername"
        name="username"
        class="form-control"
        placeholder="Username"
        required="required"
        pattern="[A-Za-z0-9]{3,20}"
      />
      <label for="inputPassword" class="sr-only">Password</label>
      <input
        type="password"
        id="inputPassword"
        name="password"
        class="form-control"
        placeholder="Password"
        required="required"
        pattern="[A-Za-z0-9]{3,20}"
      />
      <button class="btn btn-lg btn-primary btn-block" id="loginButton" type="submit">
        Login
      </button>
      <br>
    </form>
    <div id="register-link">
      <a class="internal-link" href="#/register">Register now</a> 
    </div>
  </div>